diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-handover-management-sap.h ns-3.45/src/lte/model/lte-handover-management-sap.h
--- ns-3.44/src/lte/model/lte-handover-management-sap.h	2025-03-09 16:55:49.599372000 -0700
+++ ns-3.45/src/lte/model/lte-handover-management-sap.h	2025-06-01 20:34:45.477701700 -0700
@@ -116,7 +116,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteHandoverManagementSapProvider
+    // end of class MemberLteHandoverManagementSapProvider
+};
 
 template <class C>
 MemberLteHandoverManagementSapProvider<C>::MemberLteHandoverManagementSapProvider(C* owner)
@@ -159,7 +160,8 @@
   private:
     C* m_owner; ///< the owner class
 
-}; // end of class MemberLteAnrSapUser
+    // end of class MemberLteAnrSapUser
+};
 
 template <class C>
 MemberLteHandoverManagementSapUser<C>::MemberLteHandoverManagementSapUser(C* owner)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-phy.h ns-3.45/src/lte/model/lte-phy.h
--- ns-3.44/src/lte/model/lte-phy.h	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-phy.h	2025-06-01 20:34:45.478701800 -0700
@@ -290,8 +290,7 @@
 
     /// component carrier Id used to address sap
     uint8_t m_componentCarrierId;
-
-}; // end of `class LtePhy`
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-rlc-am.cc ns-3.45/src/lte/model/lte-rlc-am.cc
--- ns-3.44/src/lte/model/lte-rlc-am.cc	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-rlc-am.cc	2025-06-01 20:34:45.478701800 -0700
@@ -1059,6 +1059,7 @@
 
         bool incrementVtA = true;
 
+        // Loop over SN : VT(A) <= SN < ACK SN
         for (sn = m_vtA; sn < ackSn && sn < m_vtS; sn++)
         {
             NS_LOG_LOGIC("sn = " << sn);
@@ -1134,8 +1135,7 @@
                 ackSn.SetModulusBase(m_vtA);
                 sn.SetModulusBase(m_vtA);
             }
-
-        } // loop over SN : VT(A) <= SN < ACK SN
+        }
 
         return;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-rrc-header.cc ns-3.45/src/lte/model/lte-rrc-header.cc
--- ns-3.44/src/lte/model/lte-rrc-header.cc	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-rrc-header.cc	2025-06-01 20:34:45.479701800 -0700
@@ -1414,7 +1414,7 @@
                 default:
                     SerializeEnum(16, 15);
                 }
-            } // end trigger type
+            }
 
             // Serialize triggerQuantity
             if (it->reportConfigEutra.triggerQuantity == LteRrcSap::ReportConfigEutra::RSRP)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-rrc-sap.h ns-3.45/src/lte/model/lte-rrc-sap.h
--- ns-3.44/src/lte/model/lte-rrc-sap.h	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-rrc-sap.h	2025-06-01 20:34:45.480701700 -0700
@@ -669,7 +669,7 @@
     {
         uint16_t physCellId; ///< Phy cell ID
         bool haveCgiInfo;    ///< have CGI info?
-        CgiInfo cgiInfo;     ///< CGI info
+        CgiInfo cgiInfo{};   ///< CGI info
         bool haveRsrpResult; ///< have RSRP result
         uint8_t rsrpResult;  ///< RSRP result
         bool haveRsrqResult; ///< have RSRQ result?
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-spectrum-phy.cc ns-3.45/src/lte/model/lte-spectrum-phy.cc
--- ns-3.44/src/lte/model/lte-spectrum-phy.cc	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-spectrum-phy.cc	2025-06-01 20:34:45.480701700 -0700
@@ -998,7 +998,7 @@
             params.m_size = (*itTb).second.size;
             params.m_rv = (*itTb).second.rv;
             params.m_ndi = (*itTb).second.ndi;
-            params.m_correctness = (uint8_t) !(*itTb).second.corrupt;
+            params.m_correctness = static_cast<uint8_t>(!(*itTb).second.corrupt);
             params.m_ccId = m_componentCarrierId;
             if ((*itTb).second.downlink)
             {
@@ -1147,7 +1147,7 @@
                         m_harqPhyModule->ResetDlHarqProcessStatus((*itTb).second.harqProcessId);
                     }
                 }
-            } // end if ((*itTb).second.downlink) HARQ
+            }
         }
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-component-carrier-manager.h ns-3.45/src/lte/model/lte-ue-component-carrier-manager.h
--- ns-3.44/src/lte/model/lte-ue-component-carrier-manager.h	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-ue-component-carrier-manager.h	2025-06-01 20:34:45.480701700 -0700
@@ -95,8 +95,7 @@
     std::map<uint8_t, LteMacSapProvider*>
         m_macSapProvidersMap; //!< Map of pointers to SAP to interfaces of the MAC instance if the
                               //!< flows of this UE.
-
-}; // end of class LteUeComponentCarrierManager
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-mac.cc ns-3.45/src/lte/model/lte-ue-mac.cc
--- ns-3.44/src/lte/model/lte-ue-mac.cc	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-ue-mac.cc	2025-06-01 20:34:45.480701700 -0700
@@ -230,11 +230,11 @@
       m_bsrLast(),
       m_freshUlBsr(false),
       m_harqProcessId(0),
+      m_miUlHarqProcessesPacketTimer(HARQ_PERIOD, 0),
       m_rnti(0),
       m_imsi(0),
       m_rachConfigured(false),
       m_waitingForRaResponse(false)
-
 {
     NS_LOG_FUNCTION(this);
     m_miUlHarqProcessesPacket.resize(HARQ_PERIOD);
@@ -243,7 +243,6 @@
         Ptr<PacketBurst> pb = CreateObject<PacketBurst>();
         m_miUlHarqProcessesPacket.at(i) = pb;
     }
-    m_miUlHarqProcessesPacketTimer.resize(HARQ_PERIOD, 0);
 
     m_macSapProvider = new UeMemberLteMacSapProvider(this);
     m_cmacSapProvider = new UeMemberLteUeCmacSapProvider(this);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-net-device.h ns-3.45/src/lte/model/lte-ue-net-device.h
--- ns-3.44/src/lte/model/lte-ue-net-device.h	2025-03-09 16:55:49.603371900 -0700
+++ ns-3.45/src/lte/model/lte-ue-net-device.h	2025-06-01 20:34:45.481701900 -0700
@@ -184,8 +184,7 @@
     uint32_t m_csgId; ///< the CSG ID
 
     std::map<uint8_t, Ptr<ComponentCarrierUe>> m_ccMap; ///< CC map
-
-}; // end of class LteUeNetDevice
+};
 
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-phy.cc ns-3.45/src/lte/model/lte-ue-phy.cc
--- ns-3.44/src/lte/model/lte-ue-phy.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/lte-ue-phy.cc	2025-06-01 20:34:45.481701900 -0700
@@ -663,12 +663,10 @@
         }
 
         itPss++;
-
-    } // end of while (itPss != m_pssList.end ())
+    }
 
     m_pssList.clear();
-
-} // end of void LteUePhy::GenerateCtrlCqiReport (const SpectrumValue& sinr)
+}
 
 double
 LteUePhy::ComputeAvgSinr(const SpectrumValue& sinr)
@@ -1195,8 +1193,7 @@
     el.pssPsdSum = sum;
     el.nRB = nRB;
     m_pssList.push_back(el);
-
-} // end of void LteUePhy::ReceivePss (uint16_t cellId, Ptr<SpectrumValue> p)
+}
 
 void
 LteUePhy::QueueSubChannelsForTransmission(std::vector<int> rbMap)
@@ -1279,7 +1276,7 @@
                 NS_LOG_LOGIC(this << " UE - UL NOTHING TO SEND");
             }
         }
-    } // m_configured
+    }
 
     // trigger the MAC
     m_uePhySapUser->SubframeIndication(frameNo, subframeNo);
@@ -1369,8 +1366,7 @@
      */
     m_downlinkSpectrumPhy->m_interferenceCtrl->EndRx();
     m_downlinkSpectrumPhy->m_interferenceData->EndRx();
-
-} // end of void LteUePhy::DoReset ()
+}
 
 void
 LteUePhy::DoStartCellSearch(uint32_t dlEarfcn)
@@ -1432,12 +1428,13 @@
     {
         m_dlBandwidth = dlBandwidth;
 
+        // See table 7.1.6.1-1 of 36.213
         static const int Type0AllocationRbg[4] = {
             10,  // RBG size 1
             26,  // RBG size 2
             63,  // RBG size 3
             110, // RBG size 4
-        };       // see table 7.1.6.1-1 of 36.213
+        };
         for (int i = 0; i < 4; i++)
         {
             if (dlBandwidth < Type0AllocationRbg[i])
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-phy.h ns-3.45/src/lte/model/lte-ue-phy.h
--- ns-3.44/src/lte/model/lte-ue-phy.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/lte-ue-phy.h	2025-06-01 20:34:45.481701900 -0700
@@ -841,8 +841,7 @@
     SpectrumValue m_ctrlSinrForRlf; ///< the CTRL SINR used for RLF detection
     uint64_t m_imsi;                ///< the IMSI of the UE
     bool m_enableRlfDetection;      ///< Flag to enable/disable RLF detection
-
-}; // end of `class LteUePhy`
+};
 
 /**
  * @brief Stream insertion operator.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-rrc.cc ns-3.45/src/lte/model/lte-ue-rrc.cc
--- ns-3.44/src/lte/model/lte-ue-rrc.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/lte-ue-rrc.cc	2025-06-01 20:34:45.481701900 -0700
@@ -920,8 +920,7 @@
             }
         }
     }
-
-} // end of LteUeRrc::DoReportUeMeasurements
+}
 
 // RRC SAP methods
 
@@ -1244,8 +1243,7 @@
         m_cphySapProvider.at(0)->SynchronizeWithEnb(maxRsrpCellId, m_dlEarfcn);
         SwitchToState(IDLE_WAIT_MIB_SIB1);
     }
-
-} // end of void LteUeRrc::SynchronizeToStrongestCell ()
+}
 
 void
 LteUeRrc::EvaluateCellForSelection()
@@ -1325,8 +1323,7 @@
         SwitchToState(IDLE_CELL_SEARCH);
         SynchronizeToStrongestCell(); // retry to a different cell
     }
-
-} // end of void LteUeRrc::EvaluateCellForSelection ()
+}
 
 void
 LteUeRrc::ApplyRadioResourceConfigDedicatedSecondaryCarrier(
@@ -1874,8 +1871,7 @@
                       << ", carrier component Id " << componentCarrierId << ", new RSRP " << rsrp
                       << " stored " << storedMeasIt->second.rsrp << ", new RSRQ " << rsrq
                       << " stored " << storedMeasIt->second.rsrq);
-
-} // end of void SaveUeMeasurements
+}
 
 void
 LteUeRrc::MeasurementReportTriggering(uint8_t measId)
@@ -2014,8 +2010,7 @@
         NS_LOG_LOGIC(this << " event A1: serving cell " << servingCellId << " ms=" << ms
                           << " thresh=" << thresh << " entryCond=" << entryCond
                           << " leavingCond=" << leavingCond);
-
-    } // end of case LteRrcSap::ReportConfigEutra::EVENT_A1
+    }
 
     break;
 
@@ -2100,8 +2095,7 @@
         NS_LOG_LOGIC(this << " event A2: serving cell " << servingCellId << " ms=" << ms
                           << " thresh=" << thresh << " entryCond=" << entryCond
                           << " leavingCond=" << leavingCond);
-
-    } // end of case LteRrcSap::ReportConfigEutra::EVENT_A2
+    }
 
     break;
 
@@ -2211,10 +2205,8 @@
             NS_LOG_LOGIC(this << " event A3: neighbor cell " << cellId << " mn=" << mn
                               << " mp=" << mp << " offset=" << off << " entryCond=" << entryCond
                               << " leavingCond=" << leavingCond);
-
-        } // end of for (storedMeasIt)
-
-    } // end of case LteRrcSap::ReportConfigEutra::EVENT_A3
+        }
+    }
 
     break;
 
@@ -2312,10 +2304,8 @@
             NS_LOG_LOGIC(this << " event A4: neighbor cell " << cellId << " mn=" << mn
                               << " thresh=" << thresh << " entryCond=" << entryCond
                               << " leavingCond=" << leavingCond);
-
-        } // end of for (storedMeasIt)
-
-    } // end of case LteRrcSap::ReportConfigEutra::EVENT_A4
+        }
+    }
 
     break;
 
@@ -2414,10 +2404,8 @@
                 NS_LOG_LOGIC(this << " event A5: neighbor cell " << cellId << " mn=" << mn
                                   << " mp=" << mp << " thresh2=" << thresh2
                                   << " thresh1=" << thresh1 << " entryCond=" << entryCond);
-
-            } // end of for (storedMeasIt)
-
-        } // end of if (entryCond)
+            }
+        }
         else
         {
             NS_LOG_LOGIC(this << " event A5: serving cell " << m_cellId << " mp=" << mp
@@ -2457,7 +2445,7 @@
                             eventLeavingCondApplicable = true;
                         }
                     }
-                } // end of if (reportConfigEutra.timeToTrigger == 0)
+                }
                 else
                 {
                     // leaving condition #2 has to be checked to cancel time-to-trigger
@@ -2509,18 +2497,13 @@
                                               << " mn=" << mn << " mp=" << mp
                                               << " thresh2=" << thresh2 << " thresh1=" << thresh1
                                               << " leavingCond=" << leavingCond);
-
-                        } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
-                          //            != measReportIt->second.cellsTriggeredList.end ())
-
-                    } // end of for (storedMeasIt)
-
-                } // end of else of if (reportConfigEutra.timeToTrigger == 0)
+                        }
+                    }
+                }
 
                 NS_LOG_LOGIC(this << " event A5: serving cell " << m_cellId << " mp=" << mp
                                   << " thresh1=" << thresh1 << " leavingCond=" << leavingCond);
-
-            } // end of if (leavingCond)
+            }
             else
             {
                 if (reportConfigEutra.timeToTrigger > 0)
@@ -2568,25 +2551,18 @@
                         NS_LOG_LOGIC(this << " event A5: neighbor cell " << cellId << " mn=" << mn
                                           << " mp=" << mp << " thresh2=" << thresh2 << " thresh1="
                                           << thresh1 << " leavingCond=" << leavingCond);
-
-                    } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
-                      //            != measReportIt->second.cellsTriggeredList.end ())
-
-                } // end of for (storedMeasIt)
-
-            } // end of else of if (leavingCond)
-
-        } // end of if (isMeasIdInReportList)
-
-    } // end of case LteRrcSap::ReportConfigEutra::EVENT_A5
+                    }
+                }
+            }
+        }
+    }
 
     break;
 
     default:
         NS_FATAL_ERROR("unsupported eventId " << reportConfigEutra.eventId);
         break;
-
-    } // switch (event type)
+    }
 
     NS_LOG_LOGIC(this << " eventEntryCondApplicable=" << eventEntryCondApplicable
                       << " eventLeavingCondApplicable=" << eventLeavingCondApplicable);
@@ -2640,8 +2616,7 @@
             leavingTriggerIt->second.push_back(t);
         }
     }
-
-} // end of void LteUeRrc::MeasurementReportTriggering (uint8_t measId)
+}
 
 void
 LteUeRrc::CancelEnteringTrigger(uint8_t measId)
@@ -2807,10 +2782,8 @@
                 CancelEnteringTrigger(measId, *it);
             }
         }
-
-    } // end of if (!enteringTriggerIt->second.empty ())
-
-} // end of LteUeRrc::VarMeasReportListAdd
+    }
+}
 
 void
 LteUeRrc::VarMeasReportListErase(uint8_t measId, ConcernedCells_t leavingCells, bool reportOnLeave)
@@ -2862,10 +2835,8 @@
                 CancelLeavingTrigger(measId, *it);
             }
         }
-
-    } // end of if (!leavingTriggerIt->second.empty ())
-
-} // end of LteUeRrc::VarMeasReportListErase
+    }
+}
 
 void
 LteUeRrc::VarMeasReportListClear(uint8_t measId)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/lte-ue-rrc.h ns-3.45/src/lte/model/lte-ue-rrc.h
--- ns-3.44/src/lte/model/lte-ue-rrc.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/lte-ue-rrc.h	2025-06-01 20:34:45.481701900 -0700
@@ -1333,8 +1333,7 @@
      * The number of component carriers.
      */
     uint16_t m_numberOfComponentCarriers;
-
-}; // end of class LteUeRrc
+};
 
 /**
  * @brief Stream insertion operator.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/no-op-component-carrier-manager.cc ns-3.45/src/lte/model/no-op-component-carrier-manager.cc
--- ns-3.44/src/lte/model/no-op-component-carrier-manager.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/no-op-component-carrier-manager.cc	2025-06-01 20:34:45.481701900 -0700
@@ -206,14 +206,14 @@
             lci.mbrDl = 0;
             lci.gbrUl = 0;
             lci.gbrDl = 0;
-        } // data flows only on PC
+        }
         NS_LOG_DEBUG(this << " RNTI " << lci.rnti << "Lcid " << (uint16_t)lci.lcId << " lcGroup "
                           << (uint16_t)lci.lcGroup);
         entry.componentCarrierId = ncc;
         entry.lc = lci;
         entry.msu = m_ccmMacSapUser;
         res.push_back(entry);
-    } // end for
+    }
 
     auto lcidIt = rntiIt->second.m_rlcLcInstantiated.find(lcid);
     if (lcidIt == rntiIt->second.m_rlcLcInstantiated.end())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/no-op-component-carrier-manager.h ns-3.45/src/lte/model/no-op-component-carrier-manager.h
--- ns-3.44/src/lte/model/no-op-component-carrier-manager.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/no-op-component-carrier-manager.h	2025-06-01 20:34:45.481701900 -0700
@@ -148,10 +148,11 @@
     virtual void DoNotifyPrbOccupancy(double prbOccupancy, uint8_t componentCarrierId);
 
   protected:
-    std::map<uint8_t, double>
-        m_ccPrbOccupancy; //!< The physical resource block occupancy per carrier.
+    /// The physical resource block occupancy per carrier.
+    std::map<uint8_t, double> m_ccPrbOccupancy;
 
-}; // end of class NoOpComponentCarrierManager
+    // end of class NoOpComponentCarrierManager
+};
 
 /**
  * @brief Component carrier manager implementation that splits traffic equally among carriers.
@@ -175,7 +176,9 @@
 
   private:
     uint8_t m_lastCcIdForSr{0}; //!< Last CCID to which a SR was routed
-};                              // end of class RrComponentCarrierManager
+
+    // end of class RrComponentCarrierManager
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/no-op-handover-algorithm.h ns-3.45/src/lte/model/no-op-handover-algorithm.h
--- ns-3.44/src/lte/model/no-op-handover-algorithm.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/no-op-handover-algorithm.h	2025-06-01 20:34:45.482701800 -0700
@@ -60,8 +60,7 @@
     LteHandoverManagementSapUser* m_handoverManagementSapUser;
     /// Receive API calls from the eNodeB RRC instance.
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
-
-}; // end of class NoOpHandoverAlgorithm
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/pf-ff-mac-scheduler.cc ns-3.45/src/lte/model/pf-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/pf-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/pf-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -25,13 +25,13 @@
 
 NS_LOG_COMPONENT_DEFINE("PfFfMacScheduler");
 
-/// PF type 0 allocation RBG
+/// PF type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int PfType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(PfFfMacScheduler);
 
@@ -989,8 +989,8 @@
                             itMax = it;
                         }
                     }
-                } // end if cqi
-            }     // end for m_rlcBufferReq
+                }
+            }
 
             if (itMax == m_flowStatsDl.end())
             {
@@ -1014,8 +1014,8 @@
                 }
                 NS_LOG_INFO(this << " UE assigned " << (*itMax).first);
             }
-        } // end for RBG free
-    }     // end for RBGs
+        }
+    }
 
     // reset TTI stats of users
     for (auto itStats = m_flowStatsDl.begin(); itStats != m_flowStatsDl.end(); itStats++)
@@ -1213,7 +1213,7 @@
         }
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     // update UEs stats
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/pss-ff-mac-scheduler.cc ns-3.45/src/lte/model/pss-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/pss-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/pss-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -28,13 +28,13 @@
 
 NS_LOG_COMPONENT_DEFINE("PssFfMacScheduler");
 
-/// PSS type 0 allocation RBG
+/// PSS type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int PssType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(PssFfMacScheduler);
 
@@ -1037,9 +1037,9 @@
                         metric = achievableRate / (*it).second.lastAveragedThroughput;
                     }
                     ueSet2.emplace_back(metric, (*it).first);
-                } // end of wbCqi
+                }
             }
-        } // end of ueSet
+        }
 
         if (!ueSet1.empty() || !ueSet2.empty())
         {
@@ -1132,11 +1132,11 @@
                                 }
                                 sum += sbCqi;
                             }
-                        } // end if cqi
-                    }     // end of rbgNum
+                        }
+                    }
 
                     sbCqiSum[(*it).first] = sum;
-                } // end tdUeSet
+                }
 
                 for (int i = 0; i < rbgNum; i++)
                 {
@@ -1207,7 +1207,7 @@
                                 }
                                 colMetric += (double)sbCqi / (double)(*itSbCqiSum).second;
                             }
-                        } // end if cqi
+                        }
 
                         double metric = 0.0;
                         if (colMetric != 0)
@@ -1224,7 +1224,7 @@
                             metricMax = metric;
                             itMax = it;
                         }
-                    } // end of tdUeSet
+                    }
 
                     if (itMax == tdUeSet.end())
                     {
@@ -1235,9 +1235,8 @@
                         allocationMap[(*itMax).first].push_back(i);
                         rbgMap.at(i) = true;
                     }
-                } // end of rbgNum
-
-            } // end of CoIta
+                }
+            }
 
             if (m_fdSchedulerType == "PFsch")
             {
@@ -1311,7 +1310,7 @@
                                                    0.001); // = TB size / TTI
                             }
                             schMetric = achievableRate / (*it).second.secondLastAveragedThroughput;
-                        } // end if cqi
+                        }
 
                         double metric = 0.0;
                         metric = weight * schMetric;
@@ -1321,7 +1320,7 @@
                             metricMax = metric;
                             itMax = it;
                         }
-                    } // end of tdUeSet
+                    }
 
                     if (itMax == tdUeSet.end())
                     {
@@ -1332,14 +1331,10 @@
                         allocationMap[(*itMax).first].push_back(i);
                         rbgMap.at(i) = true;
                     }
-
-                } // end of rbgNum
-
-            } // end of PFsch
-
-        } // end if ueSet1 || ueSet2
-
-    } // end if ueSet
+                }
+            }
+        }
+    }
 
     // reset TTI stats of users
     for (auto itStats = m_flowStatsDl.begin(); itStats != m_flowStatsDl.end(); itStats++)
@@ -1537,7 +1532,7 @@
         }
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     // update UEs stats
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/rr-ff-mac-scheduler.cc ns-3.45/src/lte/model/rr-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/rr-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/rr-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -27,13 +27,13 @@
 
 NS_LOG_COMPONENT_DEFINE("RrFfMacScheduler");
 
-/// Type 0 allocation RBG
+/// Type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int Type0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(RrFfMacScheduler);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/simple-ue-component-carrier-manager.h ns-3.45/src/lte/model/simple-ue-component-carrier-manager.h
--- ns-3.44/src/lte/model/simple-ue-component-carrier-manager.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/simple-ue-component-carrier-manager.h	2025-06-01 20:34:45.482701800 -0700
@@ -128,8 +128,7 @@
   protected:
     LteMacSapUser* m_ccmMacSapUser;         //!< Interface to the UE RLC instance.
     LteMacSapProvider* m_ccmMacSapProvider; //!< Receive API calls from the UE RLC instance
-
-}; // end of class SimpleUeComponentCarrierManager
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/tdbet-ff-mac-scheduler.cc ns-3.45/src/lte/model/tdbet-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/tdbet-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/tdbet-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -26,13 +26,13 @@
 
 NS_LOG_COMPONENT_DEFINE("TdBetFfMacScheduler");
 
-/// TDBET type 0 allocation RBG
+/// TDBET type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int TdBetType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(TdBetFfMacScheduler);
 
@@ -904,7 +904,7 @@
             metricMax = metric;
             itMax = it;
         }
-    } // end for m_flowStatsDl
+    }
 
     if (itMax == m_flowStatsDl.end())
     {
@@ -1070,7 +1070,7 @@
         }
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     // update UEs stats
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.cc ns-3.45/src/lte/model/tdmt-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/tdmt-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/tdmt-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -26,13 +26,13 @@
 
 NS_LOG_COMPONENT_DEFINE("TdMtFfMacScheduler");
 
-/// TDMT type 0 allocation RBG
+/// TDMT type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int TdMtType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(TdMtFfMacScheduler);
 
@@ -902,11 +902,9 @@
                     metricMax = metric;
                     itMax = it;
                 }
-            } // LcActivePerFlow
-
-        } // cqi
-
-    } // end for m_flowStatsDl
+            }
+        }
+    }
 
     if (itMax == m_flowStatsDl.end())
     {
@@ -925,9 +923,8 @@
             {
                 rbgMap.at(i) = true;
                 tempMap.push_back(i);
-            } // end for RBG free
-
-        } // end for RBGs
+            }
+        }
         if (!tempMap.empty())
         {
             allocationMap[*itMax] = tempMap;
@@ -1061,7 +1058,7 @@
         ret.m_buildDataList.push_back(newEl);
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     m_schedSapUser->SchedDlConfigInd(ret);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.cc ns-3.45/src/lte/model/tdtbfq-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/tdtbfq-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -27,13 +27,13 @@
 
 NS_LOG_COMPONENT_DEFINE("TdTbfqFfMacScheduler");
 
-/// TDTBFQ type 0 allocation RBG
+/// TDTBFQ type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int TdTbfqType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(TdTbfqFfMacScheduler);
 
@@ -694,16 +694,16 @@
         NS_LOG_INFO(this << " Processing DLHARQ feedback");
         if (nLayers == 1)
         {
-            retx.push_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(0) ==
-                           DlInfoListElement_s::NACK);
-            retx.push_back(false);
+            retx.emplace_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(0) ==
+                              DlInfoListElement_s::NACK);
+            retx.emplace_back(false);
         }
         else
         {
-            retx.push_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(0) ==
-                           DlInfoListElement_s::NACK);
-            retx.push_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(1) ==
-                           DlInfoListElement_s::NACK);
+            retx.emplace_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(0) ==
+                              DlInfoListElement_s::NACK);
+            retx.emplace_back(m_dlInfoListBuffered.at(i).m_harqStatus.at(1) ==
+                              DlInfoListElement_s::NACK);
         }
         if (retx.at(0) || retx.at(1))
         {
@@ -1042,7 +1042,7 @@
             metricMax = metric;
             itMax = it;
         }
-    } // end for m_flowStatsDl
+    }
 
     if (itMax == m_flowStatsDl.end())
     {
@@ -1262,7 +1262,7 @@
         ret.m_buildDataList.push_back(newEl);
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     m_schedSapUser->SchedDlConfigInd(ret);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/model/tta-ff-mac-scheduler.cc ns-3.45/src/lte/model/tta-ff-mac-scheduler.cc
--- ns-3.44/src/lte/model/tta-ff-mac-scheduler.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/model/tta-ff-mac-scheduler.cc	2025-06-01 20:34:45.482701800 -0700
@@ -26,13 +26,13 @@
 
 NS_LOG_COMPONENT_DEFINE("TtaFfMacScheduler");
 
-/// TTA type 0 allocation RBG
+/// TTA type 0 allocation RBG (see table 7.1.6.1-1 of 36.213)
 static const int TtaType0AllocationRbg[4] = {
     10,  // RBG size 1
     26,  // RBG size 2
     63,  // RBG size 3
     110, // RBG size 4
-};       // see table 7.1.6.1-1 of 36.213
+};
 
 NS_OBJECT_ENSURE_REGISTERED(TtaFfMacScheduler);
 
@@ -936,9 +936,8 @@
                             itMax = it;
                         }
                     }
-                } // end if cqi
-
-            } // end for m_rlcBufferReq
+                }
+            }
 
             if (itMax == m_flowStatsDl.end())
             {
@@ -962,8 +961,8 @@
                 }
                 NS_LOG_INFO(this << " UE assigned " << (*itMax));
             }
-        } // end for RBG free
-    }     // end for RBGs
+        }
+    }
 
     // generate the transmission opportunities by grouping the RBGs of the same RNTI and
     // creating the correspondent DCIs
@@ -1142,7 +1141,7 @@
         ret.m_buildDataList.push_back(newEl);
 
         itMap++;
-    }                               // end while allocation
+    }
     ret.m_nrOfPdcchOfdmSymbols = 1; /// \todo check correct value according the DCIs txed
 
     m_schedSapUser->SchedDlConfigInd(ret);
